Loading...
Searching...
No Matches
BALL::GRAPH::EditableVertexCopier< Graph1, Graph2 > Struct Template Reference

`#include <BALL/DATATYPE/GRAPH/graphAlgorithms.h>`

## Public Member Functions

| EditableVertexCopier (const Graph1 &g1_, Graph2 &g2_)
template<typename Vertex1, typename Vertex2>
void | operator() (const Vertex1 &v1, Vertex2 &v2) const

## Public Attributes

boost::property_map< Graph2, boost::vertex_orig_ptr_t >::type | vertex_orig_map
Graph1 const & | g1
Graph2 & | g2

## Detailed Description

template<typename Graph1, typename Graph2>
struct BALL::GRAPH::EditableVertexCopier< Graph1, Graph2 >

Definition at line 116 of file graphAlgorithms.h.

## Constructor & Destructor Documentation

## EditableVertexCopier()

template<typename Graph1, typename Graph2>

BALL::GRAPH::EditableVertexCopier< Graph1, Graph2 >::EditableVertexCopier | ( | const Graph1 & | g1_,
|  | Graph2 & | g2_ )

inline

Definition at line 118 of file graphAlgorithms.h.

## Member Function Documentation

## operator()()

template<typename Graph1, typename Graph2>
template<typename Vertex1, typename Vertex2>

void BALL::GRAPH::EditableVertexCopier< Graph1, Graph2 >::operator() | ( | const Vertex1 & | v1,
|  | Vertex2 & | v2 ) const

inline

Definition at line 125 of file graphAlgorithms.h.

## Member Data Documentation

## g1

template<typename Graph1, typename Graph2>

Graph1 const& BALL::GRAPH::EditableVertexCopier< Graph1, Graph2 >::g1

Definition at line 132 of file graphAlgorithms.h.

## g2

template<typename Graph1, typename Graph2>

Graph2& BALL::GRAPH::EditableVertexCopier< Graph1, Graph2 >::g2

Definition at line 133 of file graphAlgorithms.h.

## vertex_orig_map

template<typename Graph1, typename Graph2>

boost::property_map<Graph2,boost::vertex_orig_ptr_t>::type BALL::GRAPH::EditableVertexCopier< Graph1, Graph2 >::vertex_orig_map

mutable

Definition at line 131 of file graphAlgorithms.h.